Atom feed of this document
 
 
 

 4.6.2. List Flavor By ID

VerbURIDescription
GET/flavors/{flavorId}Lists all flavor information about the specified flavor ID.

Normal Response Code(s): 200

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404)

This operation lists all information for the specified flavor ID with details of the RAM.

This resource is identical to the flavors found in the OpenStack Nova API, but without the disk property.

[Note]Note

The flavorId parameter should be an integer. If a floating point value is used for the flavorId parameter, the decimal portion is truncated and the integer portion is used as the value of the flavorId.

Table 4.31. List Flavor By ID Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

flavorIdTemplate​String

The flavor ID for the specified flavor.

The following examples show the List Flavor By ID requests:

 

Example 4.109. List Flavor By ID Request: XML

GET /v1.0/1234/flavors/1 HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml



 

Example 4.110. List Flavor By ID Request: JSON

GET /v1.0/1234/flavors/1 HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/json
Content-Type: application/json



This operation does not require a request body.

The following examples show the List Flavor By ID responses:

 

Example 4.111. List Flavor By ID Response: XML

HTTP/1.1 200 OK
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 283
Date: Wed, 08 May 2013 22:43:34 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

<flavor id="1" name="512MB Instance" ram="512" xmlns="http://docs.openstack.org/database/api/v1.0">
    <links>
        <link href="https://ord.databases.api.rackspacecloud.com/v1.0/1234/flavors/1" rel="self"/>
        <link href="https://ord.databases.api.rackspacecloud.com/flavors/1" rel="bookmark"/>
    </links>
</flavor>


 

Example 4.112. List Flavor By ID Response: JSON

HTTP/1.1 200 OK
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 206
Date: Wed, 08 May 2013 22:43:34 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

{
    "flavor": {
        "id": 1, 
        "links": [
            {
                "href": "https://ord.databases.api.rackspacecloud.com/v1.0/1234/flavors/1", 
                "rel": "self"
            }, 
            {
                "href": "https://ord.databases.api.rackspacecloud.com/flavors/1", 
                "rel": "bookmark"
            }
        ], 
        "name": "512MB Instance", 
        "ram": 512
    }
}